<xsl:stylesheet
	version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:mem="http://schemas.4d.com/MEM">

<xsl:template match="/">

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Method List</title>
<link rel="stylesheet" href="Default.css"/>
</head>

<body>
<h1><img src="4dlogo.gif" alt="4D Logo" width="39" height="53" />&#32;<xsl:value-of select="mem:method-list/mem:database"/></h1>

<table>
	<tr>
    <th>Methods</th>
    <th>Summary</th>
  </tr>
	<!-- loop starts here-->
	<xsl:for-each select="mem:method-list/mem:method">
	
  <tr>
	<td><p>
	  <a href="{@name}.xml">
	  <xsl:value-of select="mem:signature"/>
	  <xsl:if test="string-length(@return-type)>0">
		  -> &#32; <xsl:value-of select="@return-type"/>
	  </xsl:if>
	  </a>
	</p></td>
    <td><p><xsl:value-of select="mem:summary"/></p></td>
  </tr>
  	</xsl:for-each>
  	<!-- end loop here-->
</table>


</body>
</html>

</xsl:template>

</xsl:stylesheet>
